# GridFire: gridfire::exceptions::FailedToPartitionEngineError Class Reference

Loading...
Searching...
No Matches
gridfire::exceptions::FailedToPartitionEngineError Class Referencefinal

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::FailedToPartitionEngineError:

## Public Member Functions

| FailedToPartitionEngineError (const std::string &message)
const char * | what () const noexcept override

## Private Attributes

std::string | m_message

## Detailed Description

Definition at line 75 of file error_engine.h.

## Constructor & Destructor Documentation

## FailedToPartitionEngineError()

gridfire::exceptions::FailedToPartitionEngineError::FailedToPartitionEngineError | ( | const std::string & | message | ) |

inlineexplicit

Definition at line 77 of file error_engine.h.

## Member Function Documentation

## what()

const char * gridfire::exceptions::FailedToPartitionEngineError::what | ( |  | ) | const

inlineoverridenoexcept

Definition at line 80 of file error_engine.h.

## Member Data Documentation

## m_message

std::string gridfire::exceptions::FailedToPartitionEngineError::m_message

private

Definition at line 84 of file error_engine.h.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h